package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "MAPDEPENDENCY"
)
public class MAPDEPENDENCY {
   @XmlAttribute(
      name = "FROMINSTANCE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String frominstance;
   @XmlAttribute(
      name = "FROMINSTANCETYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String frominstancetype;
   @XmlAttribute(
      name = "TOINSTANCE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String toinstance;
   @XmlAttribute(
      name = "TOINSTANCETYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String toinstancetype;

   public String getFROMINSTANCE() {
      return this.frominstance;
   }

   public void setFROMINSTANCE(String value) {
      this.frominstance = value;
   }

   public String getFROMINSTANCETYPE() {
      return this.frominstancetype;
   }

   public void setFROMINSTANCETYPE(String value) {
      this.frominstancetype = value;
   }

   public String getTOINSTANCE() {
      return this.toinstance;
   }

   public void setTOINSTANCE(String value) {
      this.toinstance = value;
   }

   public String getTOINSTANCETYPE() {
      return this.toinstancetype;
   }

   public void setTOINSTANCETYPE(String value) {
      this.toinstancetype = value;
   }
}
